Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IEquatable<Mono.Unix.Native.Flock> (2) advisory file locking information. This can only be used with , , and .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Length of file locking. l_len = 0 means until enf of file.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 Lock owner.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 Starting offset.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.Native.LockType Lock type: read/write, etc.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  Mono.Unix.Native.SeekFlags How to interpret l_start.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.